org.apache.lucene.queryparser.flexible.standard.config

## Class PointsConfigListener

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.standard.config.PointsConfigListener

- All Implemented Interfaces:
    FieldConfigListener

      public class PointsConfigListener
      extends Object
      implements FieldConfigListener

  This listener is used to listen to `FieldConfig` requests in `QueryConfigHandler` and add `StandardQueryConfigHandler.ConfigurationKeys.POINTS_CONFIG` based on the `StandardQueryConfigHandler.ConfigurationKeys.POINTS_CONFIG_MAP` set in the `QueryConfigHandler`.
  See Also:
    `PointsConfig`, `QueryConfigHandler`, `StandardQueryConfigHandler.ConfigurationKeys.POINTS_CONFIG`, `StandardQueryConfigHandler.ConfigurationKeys.POINTS_CONFIG_MAP`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointsConfigListener(QueryConfigHandler config)` Constructs a `PointsConfigListener` object using the given `QueryConfigHandler`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFieldConfig(FieldConfig fieldConfig)` This method is called ever time a field configuration is requested.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PointsConfigListener

          public PointsConfigListener(QueryConfigHandler config)

      Constructs a `PointsConfigListener` object using the given `QueryConfigHandler`.
      Parameters:
        `config` - the `QueryConfigHandler` it will listen too

  - ### Method Detail

    - #### buildFieldConfig

          public void buildFieldConfig(FieldConfig fieldConfig)

      Description copied from interface: `FieldConfigListener`
      This method is called ever time a field configuration is requested.
      Specified by:
        `buildFieldConfig` in interface `FieldConfigListener`
      Parameters:
        `fieldConfig` - the field configuration requested, should never be null

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.